apiVersion: v1
kind: Secret
metadata:
  name: mysql-root-credentials
  namespace: svc-mysql
  annotations:
    secret-generator.v1.mittwald.de/autogenerate: rootPassword
stringData:
  rootUser: root
  rootHost: '%'
---
apiVersion: mysql.oracle.com/v2
kind: InnoDBCluster
metadata:
  name: mysql
  namespace: svc-mysql
spec:
  secretName: mysql-root-credentials
  tlsSecretName: mysql-ca
  tlsCASecretName: mysql-ca
  tlsUseSelfSigned: true
  imagePullPolicy: Always
  instances: 3
  podSpec:
    affinity:
      podAntiAffinity:
        preferredDuringSchedulingIgnoredDuringExecution:
          - weight: 100
            podAffinityTerm: 
              labelSelector:
                  matchExpressions:
                  - key: app.kubernetes.io/name
                    operator: In
                    values:
                    - mysql-innodbcluster-mysql-server
              topologyKey: topology.kubernetes.io/zone
  router:
    instances: 4
  mycnf: |
    [mysqld]
    sql_generate_invisible_primary_key=on
    core_file
    local_infile=off
  datadirVolumeClaimTemplate:
    storageClassName: local-path
    accessModes: [ReadWriteOnce]
    resources:
      requests:
        storage: 8Gi